Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003564TestLinkAPI - XMLRPCpublic2010-07-02 08:192010-08-31 20:26
Reporterschm 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 6 
Summary0003564: TL API - TestCases added via tl.addTestCaseToTestPlan won't show up for execution
DescriptionProblem: TestLink expects a build ID for test cases added to a test plan. However, tl.addTestCaseToTestPlan won't specify any.


Steps To ReproduceAdd test cases to a test plan via API. These test cases won't show up for execution (use the execute link of the nav bar on the top).
Additional InformationFix: Add possibility to specify build id when using tl.addTestCaseToTestPlan.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserK-Meleon and Firefox
PHP Version5.3.0
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon xmlrpc.class.php [^] (134,442 bytes) 2010-07-02 08:19
zip file icon fix-3564.zip [^] (97,746 bytes) 2010-07-11 17:09

- Relationships
child of 0003570closedfman Availables Fixes for 1.9 Beta 5 

-  Notes
(0010528)
fman (administrator)
2010-07-04 11:28
edited on: 2010-07-04 11:46

>> TestLink expects a build ID for test cases added to a test plan
TL does not work this way.
Test cases are added to test plan, not to test plan + builds

Please give more details in order to reproduce

Please get last beta 5 and retest

(0010539)
schm (reporter)
2010-07-05 08:24

Everythings works neat if no platforms are assigned to a test plan. If, however, you have one or more platforms assigned, TestLink seems to expect a platform ID for each added test case.

tl.addTestCaseToTestPlan does NOT provide the possibility to specify a platform, resulting in erroneous behaviour of TestLink (IF you have platforms assigned to that test plan): Test cases added via tl.addTestCaseToTestPlan have no database entry for platform id (i.e. the entry is 0), so they won't show up for execution. The Test Result matrix, however, WILL show the "semi-added" test case.

Again, everything works fine if no platforms are assigned (to the test plan), but tl.addTestCaseToTestPlan doesn't seem to cover the possibility, that there ARE assigned platforms (in which case you need to specify the desired platform).

(above behaviour is tested and confirmed with TL1.9beta5)
(0010540)
schm (reporter)
2010-07-05 08:26

How to reproduce:

- Create a test case and assign one or more platforms to it.
- Use tl.addTestCaseToTestPlan to add a test case.
(0010541)
fman (administrator)
2010-07-05 09:21

>>... TestLink expects a build ID for test cases added
You have wrote BUILD instead of PLATFORM on issue details.


>> (above behaviour is tested and confirmed with TL1.9beta5)
do you have tested beta code, got from sourceforge or code checked out from CVS?
(0010544)
schm (reporter)
2010-07-05 11:02

Sorry for writing build instead of platform, my bad!

The testing above was done with beta5 code downloaded from sourceforge today. Prior to that I had both (beta4 code from sourceforge and a checkout).
(0010605)
fman (administrator)
2010-07-11 17:10

try with attached fix and let us know
(0010609)
schm (reporter)
2010-07-12 11:02

Observed behaviour:

IF no platforms are linked to testplan:
Database entry will be 0, no matter if a platform id is provided or not (i.e., the platform ID entry is ignored).

IF platforms are linked to testplan:
Adding to test plan will fail if no or wrong platform ID is specified, providing accurate error message.

It seems like this bug is fixed. I noticed, however, a problem when trying to add a test case that was already added: This resulted in a database error (API saying 'parse error, not well formed') instead of a simple error message. As I'm not sure if this problem was introduced with the fix, I write it here instead of opening a new issue.
(0010613)
fman (administrator)
2010-07-12 16:49

>>Observed behaviour:
>>
>>IF no platforms are linked to testplan:
>>Database entry will be 0, no matter if a platform id is provided or not (i.e., >>the platform ID entry is ignored).
User has to get an error message and NOTHING HAS to be added to test plan.

>> It seems like this bug is fixed. I noticed, however, a problem when trying to >> add a test case that was already added
User has to receive some kind of message
(0011054)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-07-02 08:19 schm New Issue
2010-07-02 08:19 schm File Added: xmlrpc.class.php
2010-07-04 11:28 fman Note Added: 0010528
2010-07-04 11:28 fman Assigned To => fman
2010-07-04 11:28 fman Status new => feedback
2010-07-04 11:46 fman Note Edited: 0010528 View Revisions
2010-07-05 08:24 schm Note Added: 0010539
2010-07-05 08:24 schm Status feedback => assigned
2010-07-05 08:26 schm Note Added: 0010540
2010-07-05 09:21 fman Note Added: 0010541
2010-07-05 11:02 schm Note Added: 0010544
2010-07-11 17:09 fman File Added: fix-3564.zip
2010-07-11 17:10 fman Note Added: 0010605
2010-07-11 17:10 fman Status assigned => feedback
2010-07-11 17:51 fman Relationship added child of 0003570
2010-07-12 11:02 schm Note Added: 0010609
2010-07-12 11:02 schm Status feedback => assigned
2010-07-12 16:49 fman Note Added: 0010613
2010-07-15 16:35 fman Summary TestCases added via tl.addTestCaseToTestPlan won't show up for execution => TL API - TestCases added via tl.addTestCaseToTestPlan won't show up for execution
2010-08-21 11:55 fman Status assigned => resolved
2010-08-21 11:55 fman Fixed in Version => 1.9 Beta 6
2010-08-21 11:55 fman Resolution open => fixed
2010-08-31 20:26 fman Note Added: 0011054
2010-08-31 20:26 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker